namespace IRaCIS.Core.Domain.Models;

[Comment("受试者 - 临床表单表格问题答案")]
[Table("ClinicalTableAnswer")]
public partial class ClinicalTableAnswer : BaseAddAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    [ForeignKey("RowId")]
    public ClinicalAnswerRowInfo ClinicalAnswerRowInfo { get; set; }
    #endregion

    [Comment("答案")]
    [StringLength(1000)]
    public string Answer { get; set; } = null!;

    [Comment("表单Id")]
    public Guid ClinicalFormId { get; set; }

    [Comment("问题Id")]
    public Guid QuestionId { get; set; }

    [Comment("答案行的Id")]
    public Guid RowId { get; set; }

    [Comment("受试者Id")]
    public Guid SubjectId { get; set; }

    public Guid TableQuestionId { get; set; }
}
